Bug 18977 - Rollback branch in t/db_dependent/SIP/Message.t
Summary: Rollback branch in t/db_dependent/SIP/Message.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Lari Taskula
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-24 15:29 UTC by Lari Taskula
Modified: 2017-08-01 05:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18977: Rollback branch in t/db_dependent/SIP/Message.t (1.71 KB, patch)
2017-07-24 15:32 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18977: Rollback branch in t/db_dependent/SIP/Message.t (1.79 KB, patch)
2017-07-26 17:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-07-24 15:29:51 UTC
Test t/db_dependent/SIP/Message.t generates a Branch via TestBuilder outside $schema->storage->txn_begin and it stays in database when test is over. Move generation inside transaction so that it gets rolled back.
Comment 1 Lari Taskula 2017-07-24 15:32:21 UTC
Created attachment 65198 [details] [review]
Bug 18977: Rollback branch in t/db_dependent/SIP/Message.t

To test:
1. Before applying patch, check the amount of branches in database
2. prove t/db_dependent/SIP/Message.t
3. See that a new branch is stored
4. Apply patch
5. prove t/db_dependent/SIP/Message.t
6. See that a new branch is no longer stored
Comment 2 Jonathan Druart 2017-07-26 17:37:28 UTC
Created attachment 65283 [details] [review]
Bug 18977: Rollback branch in t/db_dependent/SIP/Message.t

To test:
1. Before applying patch, check the amount of branches in database
2. prove t/db_dependent/SIP/Message.t
3. See that a new branch is stored
4. Apply patch
5. prove t/db_dependent/SIP/Message.t
6. See that a new branch is no longer stored

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-07-26 17:38:56 UTC
Skipping QA, it will fixes selenium tests.
Comment 4 Jonathan Druart 2017-07-26 17:39:56 UTC
Pushed to master for 17.11, thanks Lari!
Comment 5 Fridolin SOMERS 2017-07-31 07:31:26 UTC
Pushed to 17.05.x, will be in 17.05.03.

In order to correct selenium test failures.
Comment 6 Katrin Fischer 2017-08-01 05:41:12 UTC
This patch has been pushed to 16.11.x and will be in 16.11.11.